Summary:	CLI tool for spawning and running containers
Name:		runc
Version:	1.2.6
Release:	1
License:	Apache v2.0
Group:		Applications
Source0:	https://github.com/opencontainers/runc/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	4f1f5a872c254ae92a2f7b72bd228b5a
URL:		https://www.opencontainers.org/
BuildRequires:	golang >= 1.22
BuildRequires:	libseccomp-devel
BuildRequires:	rpmbuild(macros) >= 2.009
ExclusiveArch:	%go_arches
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	_debugsource_packages

%description
runc is a CLI tool for spawning and running containers on Linux
according to the OCI specification.

%prep
%setup -q

%build
%{__make} runc \
	GO="%__go"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	BINDIR="%{_bindir}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {CHANGELOG,CONTRIBUTING,EMERITUS,MAINTAINERS_GUIDE,PRINCIPLES,README,SECURITY}.md
%attr(755,root,root) %{_bindir}/runc
%changelog
* Sat Mar 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/runc.git;a=log;h=master

* Tue Mar 18 2025 Jan Palus <atler@pld-linux.org> 7cc721e
- up to 1.2.6

* Sun Feb 16 2025 Jan Palus <atler@pld-linux.org> bc7d432
- up to 1.2.5

* Sun Feb 16 2025 Jan Palus <atler@pld-linux.org> 270b801
- use new way to disable debugsource packages

* Tue Jan 07 2025 Jan Palus <atler@pld-linux.org> f6b14f6
- up to 1.2.4

* Wed Dec 11 2024 Jan Palus <atler@pld-linux.org> 4eab8d7
- up to 1.2.3

* Sat Nov 16 2024 Jan Palus <atler@pld-linux.org> e65afe4
- up to 1.2.2

* Sat Nov 02 2024 Jan Palus <atler@pld-linux.org> 1c100c5
- up to 1.2.1

* Tue Oct 22 2024 Jan Palus <atler@pld-linux.org> 232a971
- up to 1.2.0

* Mon Oct 07 2024 Jan Palus <atler@pld-linux.org> 0631ed8
- up to 1.1.15

* Mon Sep 09 2024 Jan Palus <atler@pld-linux.org> 89ff90f
- up to 1.1.14 (fixes CVE-2024-45310)

* Wed Aug 21 2024 Jan Palus <atler@pld-linux.org> c4926a3
- up to 1.1.13

* Tue Mar 01 2022 Jan Palus <atler@pld-linux.org> 7f392fd
- new

